package com.engine.organization.util.page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Column {
    String title;
    String dataIndex;
    String key;
    boolean display;
    String width;
    boolean sorter;
    int labelId;

    public Column(int labelId, String title, String dataIndex, String key, String width) {
        this.labelId = labelId;
        this.title = title;
        this.dataIndex = dataIndex;
        this.key = key;
        this.width = width;
    }
}
